Summary:	Advanced Linux Sound Architecture - OSS compatibility wrapper library & script
Summary(pl.UTF-8):	Advanced Linux Sound Architecture - biblioteka i skrypt kompatybilności z OSS
Name:		alsa-oss
Version:	1.1.8
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	ftp://ftp.alsa-project.org/pub/oss-lib/%{name}-%{version}.tar.bz2
# Source0-md5:	9ec4bb783fdce19032aace086d65d874
Patch0:		%{name}-path.patch
Patch1:		alsa-oss-libdl.patch
URL:		http://www.alsa-project.org/
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the ALSA -> OSS compatibility library and simple
wrapper script which facilitates its use. This script just sets the
appropriate LD_PRELOAD path and then runs the command.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę kompatybilności ALSA -> OSS oraz prosty
wrapper który ułatwia jej użycie, po prostu ustawiając odpowiednie
LD_PRELOAD i uruchamiając polecenie.

%package devel
Summary:	ossredir header file and static library
Summary(pl.UTF-8):	Plik nagłówkowy i biblioteka statyczka ossredir
Group:		Development/Libraries
# doesn't require base on build time (only at runtime...)

%description devel
The purpose of this little piece of code is to redirect OSS (Open
Sound System) calls to any shared library to avoid overhead caused
with the LD_PRELOAD wrapper. Especially, wrapping select() and poll()
functions cause big overhead.

%description devel -l pl.UTF-8
Celem tego małego kawałka kodu jest przekierowanie wywołań OSS (Open
Sound System) do dowolnej biblioteki dzielonej, aby zapobiec narzutowi
wywołanemu przez wrapper LD_PRELOAD. Szczególnie przechwytywanie
select() i poll() powoduje duży narzut.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useless (preloadable libraries)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib{alsatoss,aoss}.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aoss
%attr(755,root,root) %{_libdir}/libalsatoss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libalsatoss.so.0
%attr(755,root,root) %{_libdir}/libalsatoss.so
%attr(755,root,root) %{_libdir}/libaoss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaoss.so.0
%attr(755,root,root) %{_libdir}/libaoss.so
%{_mandir}/man1/aoss.1*

%files devel
%defattr(644,root,root,755)
%doc oss-redir/README
%{_libdir}/libossredir.a
%{_libdir}/libossredir.la
%{_includedir}/oss-redir.h
%changelog
* Sun Jan 13 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/alsa-oss.git;a=log;h=master

* Sun Jan 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 436e37b
- updated to 1.1.8

* Mon Apr 09 2018 Jakub Bogusz <qboosh@pld-linux.org> b9aa0ed
- updated to 1.1.6

* Wed Jun 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e21a7d1
- up to 1.0.28

* Fri Jan 27 2012 Jakub Bogusz <qboosh@pld-linux.org> aea1192
- ac version

* Fri Jan 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c7ca53
- link with dl

* Fri Jan 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ff58bb
- up to 1.0.25

* Tue Aug 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 7d5ffb0
- updated to 1.0.17

* Sat Jan 05 2008 Jakub Bogusz <qboosh@pld-linux.org> 6003b9d
- ghost soname symlinks
- GPL v2+

* Wed Nov 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4aaef82
- fix path to libaoss.so

* Wed Nov 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ada6f01
- rel 2; fix path to libaoss.so

* Mon Oct 22 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a3b080
- up to 1.0.15

* Tue Jun 05 2007 Robert Tomasik <rotom@pld-linux.org> d9840ff
- up to 1.0.14

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c51558f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1ef74ed
- converted to UTF-8

* Sat Aug 26 2006 Jakub Bogusz <qboosh@pld-linux.org> e886e41
- updated to 1.0.12

* Sat Apr 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 7832d45
- updated to 1.0.11

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> a44f814
- updated to 1.0.10

* Sun Jun 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 9c1afd9
- updated to 1.0.9

* Tue May 03 2005 Paweł Sikora <pluto@pld-linux.org> 9ea8ce0
- refresh config.sub for amd64.

* Tue May 03 2005 Paweł Sikora <pluto@pld-linux.org> daf5a91
- release 2 for Th.

